# Copyright (c) 2024 DTB <trinity@trinity.moe>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

.PRAGMA: command_comment

.PHONY: swab_tests
swab_tests: swab_help swab_examples

.PHONY: swab_help
swab_help: $(BIN)/swab
	! $(BIN)/swab -h

.PHONY: swab_examples
# These are the examples present in the man page.
swab_examples: $(BIN)/swab
	printf 'hello world!\n' \
		| $(BIN)/swab \
		| xargs -I out test 'ehll oowlr!d' = out
